Skip to main content
PATCH
/
api
/
v1
/
plugins
/
{id}
Error
A valid request URL is required to generate request examples
{
  "attributes": {
    "checksum": "<string>",
    "command": "<string>",
    "config": {},
    "created_at": "<string>",
    "description": "<string>",
    "hook_type": "<string>",
    "is_active": true,
    "manifest": {},
    "name": "<string>",
    "namespace": "<string>",
    "oci_reference": "<string>",
    "plugin_type": "<string>",
    "updated_at": "<string>"
  },
  "id": "<string>",
  "relationships": {
    "llms": {
      "data": [
        {
          "attributes": {
            "active": true,
            "name": "<string>",
            "vendor": "<string>"
          },
          "id": "<string>",
          "type": "<string>"
        }
      ]
    }
  },
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
integer
required

Plugin ID

Body

application/json

Updated plugin configuration

checksum
string
command
string
config
object
description
string
hook_type
string
hook_types
string[]
hook_types_customized
boolean
is_active
boolean
load_immediately
boolean

Auto-load AI Studio plugins

name
string
namespace
string
oci_reference
string

Response

OK

attributes
object
id
string
relationships
object
type
string